| Home | Libraries | People | FAQ | More

## Class multiple_occurrences

boost::program_options::multiple_occurrences

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class multiple_occurrences : public boost::program_options::error {
    public:
      // construct/copy/destruct
      multiple_occurrences();
      ~multiple_occurrences();

      // public member functions
      void set_option_name(const std::string &);
      const std::string & get_option_name() const;
    };

## Description

Class thrown when there are several occurrences of an option, but user called a method which cannot return them all.

### `multiple_occurrences` public construct/copy/destruct

1.     multiple_occurrences();

2.     ~multiple_occurrences();

### `multiple_occurrences` public member functions

1.     void set_option_name(const std::string & option);

2.     const std::string & get_option_name() const;